Subject: RE: -17 review, Section 6.2 - must reject hold time

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Fri, 20 Sep 2002 15:17:40 -0400

Hold time set to zero is also mentioned in the definition of the Hold Timer
on
p 8.

Ben

> -----Original Message-----
> From: Michael C. Cambria [mailto:[email-masked]]
> Sent: Friday, September 20, 2002 2:56 PM
> To: [email-masked]
> Subject: Re: -17 review, Section 6.2 - must reject hold time
> 
> 
> 
> Jeff / Yakov
> 
> Understood.  I thought I read somewhere that it couldn't for external 
> peers.  I can't find it, only my note in the margin to post the (now 
> wrong) suggestion.  It could be that I mis-read KEEPALIVE 
> "may" be sent 
> as MUST and internalized it (since I always use them.)  Sorry.
> 
> Thanks,
> MikeC
> 
> 
> Yakov Rekhter wrote:
> > Mike,
> > 
> > 
> >>In Section 6.2 on OPEN message error handling:
> >>
> >>    If the Hold Time field of the OPEN message is 
> unacceptable, then the
> >>    Error Subcode MUST be set to Unacceptable Hold Time. An
> >>    implementation MUST reject Hold Time values of one or 
> two seconds.
> >>
> >>I feel that text similar to:
> >>
> >>"An implementation MUST also reject Hold Time values of 
> zero received 
> >>from a peer in a different AS" should be considered for 
> completeness.
> > 
> > 
> >>From 4.4:
> > 
> >    If the negotiated Hold Time interval is zero, then 
> periodic KEEPALIVE
> >    messages MUST NOT be sent.  
> > 
> > So, setting Hold Time to zero is perfectly valid (under certain
> > circumstances).
> > 
> > Yakov.
> > 
> > 
> 
>